Prepaid Statement Request API

This API can be used to retrieve maximum three prepaid statements within provided date range or up to latest three months prepaid statements. The API can be accessed through various sources such as mobile application or net banking or any other Issuer application to get a prepaid device statement. A consolidated statement data for Primary, Add-On and Supplementary devices will be sent in the API response. The request call is made using form factor as either of client code, mobile number, device number, device number alias or card pack ID. Both API request and response are encrypted using AES encryption.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
200OKThe server successfully processed the request.
400MISSING_REQUIRED_FIELDError example: Missing Required Field 'productType'.
400INVALID_FIELD_VALUE'productType' field value 'pre-paid' is invalid.
400INVALID_FIELD_FORMAT'client.profile.birthDate' field value '1-Jan' format is invalid
400INVALID_FIELD_LENGTH'client.mobile.isdCode' size must be between 1 and 3.
400CRYPTOGRAPHY_ERRORError occurred while decryption of the encrypted request payload.
400UNIQUE_RECORD_NOT_FOUNDMultiple records found for given search criteria.
403PERMISSION_DENIEDIt seems you don't have permission to access this API.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The hex-encoded SHA-256 digest of the recipient's RSA public key used for encryption, which serves as an identifier for the key.

string
required

One-time use AES key encrypted by the Pinelabs public key (as identified by publicKeyFingerprint) using the PKCS#1 v1.5 scheme. It must be hex-encoded.

string

Indicates the digest algorithm used with the RSA-OAEP scheme.

string

The initialization vector used when encrypting data using the one-time use AES key. Must be exactly 16 bytes (32-character hex string) to match the block size. If not present, an IV of zero is assumed.

string

CDM request data to be encrypted by the ephemeral AES key using CBC mode (IV as provided in 'iv', or zero if none provided) and PKCS#7 padding. It must be hex-encoded.

filter
object
required
client
object
required
device
object
required
statementFilters
object
required
date-time
required
length ≤ 29

The date and time after which this encrypted data object is considered invalid. Expressed in ISO-8601 extended format.

Headers
string
^[a-zA-Z0-9-]{1,100}$

API consumer can share X-MC-Correlation-ID in HTTP header for API requests. If it is not shared then the system generates a unique value for each request. X-MC-Correlation-ID must be unique for each request, Maximum supported length – 100 alphanumeric characters.

string

API consumer can share X-MC-Source (optional field) in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

string
enum

API consumer can share X-MC-Channel (optional field) in HTTP header for API requests. It is the network or channel through which request is routed. The only available value for Channel is API.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json